All operations
CONTACT
Fetches a list of contacts with filtering, sorting, and pagination options.
GET
/api/v2/contacts/listAuthentication
Choose one supported method for this request.
Parameters
pageNumberqueryinteger · int32The page number for pagination.
pageSizequeryinteger · int32The size of the page for pagination.
orderByquerystringThe field to order by.
searchTermquerystringSearch term to filter results (FirstName or LastName).
fieldsquerystringSpecific fields to retrieve.
filterquerystring"MyFavorites" to show favorites or "MyAssigned" to display assigned contacts.
sortOrdersquerystringSorting order of results.
colsquerystringColumns to include in the result.
Responses
Request successful with contact data.
Standard response envelope
PaginatedisSuccessmessageerrorsdataRead the result from data. When isSuccess is false, errors lists what went wrong. Handling errors
totalCountinteger · int32dataobject[]nullablepageCountinteger · int32currentPageCountinteger · int32nextPageNumberinteger · int32nullablehasNextPageboolean